## visad.data.in
Class Consolidator

    java.lang.Object
      visad.data.in.DataInputFilter
          visad.data.in.Consolidator

All Implemented Interfaces:
  DataInputStream

public final class Consolidator
extends DataInputFilter

Consolidates VisAD data objects together. In general, an instance of this class will be the final module in a data-import pipe.

Constructor Summary
`Consolidator(DataInputStream source)` Constructs with a particular upstream data source.

Method Summary
`DataImpl` `readData()` Returns the next VisAD data object in the input stream.

Methods inherited from class visad.data.in.DataInputFilter
`getSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Consolidator

    public Consolidator(DataInputStream source)
                 throws VisADException

  Constructs with a particular upstream data source.

Parameters:
  `source` - The upstream data source. May not be `null`.
Throws:
  `VisADException` - The upstream data source is `null`.

Method Detail

### readData

    public DataImpl readData()
                      throws VisADException,
                             RemoteException

  Returns the next VisAD data object in the input stream. Returns `null` if there is no next object.

  Returns:
    A VisAD data object or `null` if there are no more such objects.
  Throws:
    `VisADException` - VisAD failure.
    `RemoteException` - Java RMI failure.